Apple iTunes ITMS Buffer Overflow Exploit

This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Apple iTunes. The specific flaw exists in the URL handlers associated with iTunes. When processing URLs via the protocol handlers ITMS, ITMSS, DAAP, PCAST, and ITPC an exploitable stack overflow occurs.
Exploit type: 
Platform: 
Vulnerabilty ID: 
CVE-2009-0950
Product Version: 
8.0
Released Date: 
Wednesday, June 17, 2009 - 00:00